info.bioinfweb.jphyloio.dataadapters.implementations.store

## Class StoreAnnotatedDataAdapter<E extends JPhyloIOEvent>

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreAnnotatedDataAdapter<E>

- All Implemented Interfaces:
    AnnotatedDataAdapter
  Direct Known Subclasses:
    StoreDocumentDataAdapter, StoreMatrixDataAdapter, StoreOTUListDataAdapter, StoreTreeNetworkDataAdapter, StoreTreeNetworkGroupDataAdapter

      public abstract class StoreAnnotatedDataAdapter<E extends JPhyloIOEvent>
      extends java.lang.Object
      implements AnnotatedDataAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreAnnotatedDataAdapter(java.util.List<JPhyloIOEvent> annotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JPhyloIOEvent>` | `getAnnotations()`
    `void` | `writeMetadata(ReadWriteParameterMap parameters, JPhyloIOEventReceiver receiver)` Writes events describing the metadata associated with the object represented by this instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreAnnotatedDataAdapter

          public StoreAnnotatedDataAdapter(java.util.List<JPhyloIOEvent> annotations)

  - ### Method Detail

    - #### writeMetadata

          public void writeMetadata(ReadWriteParameterMap parameters,
                                    JPhyloIOEventReceiver receiver)
                             throws java.io.IOException

      Description copied from interface: `AnnotatedDataAdapter`
      Writes events describing the metadata associated with the object represented by this instance.
      Specified by:
        `writeMetadata` in interface `AnnotatedDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `receiver` - the writer accepting the events
      Throws:
        `java.io.IOException`

    - #### getAnnotations

          public java.util.List<JPhyloIOEvent> getAnnotations()